export type CheckSetting = {
  fileServer: string;
  studentIds: number[];
  studentIdsDone: number[];
};

export type StudentInfo = {
  success: boolean;
  message?: string;
  id: number;
  name: string;
  examNumber: string;
  studentCode: string;
  subjectCode: string;
  subjectName: string;
  objectiveScore: number;
  subjectiveScore: number;
  upload: boolean;
  absent: boolean;
  paperType: string;
  sheetUrls: [string];
  answers: {
    mainNumber: number;
    subNumber: string;
    answer: string;
    /** 试卷结构中是否有此数据 */
    exist: boolean
  }[];
  titles: { [index: number]: string };
};

export {};
